<?php

// Página
$direct = 'categoria';

// Checa se o usuário possui acesso na página
Util::verificaAcesso('cms-' . $direct, 'editar', '?i=cms-' . $direct);

$obj = Participante::buscar(@$_GET['id']);

if (!$obj) {
    Message::error('Registro não encontrado.');
    Util::redirect(Util::baseUrl() . 'cms/?i=cms-' . $direct);
}

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

// Modal excluir registro
require_once $GLOBALS['baseDir'] . 'includes/modal/excluir-registro.php';

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=editar', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo Form::hidden('id', $obj->id);

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Nome: *</p>';
            echo Form::text('', 'nome', $obj->nome, 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Email: * </p>';
            echo Form::text('', 'email', $obj->email, 255, array('class' => 'dois'));
        echo '</div>';
    echo '</div>';
 
    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Cidade: *</p>';
            echo Form::text('', 'cidade', $obj->cidade, 255, array('class' => 'dois'));
        echo '</div>';

    echo '</div>';

    if ($obj->imagem != '') : 
        echo '<div class="wrapper">';
            echo '<div class="col-md-2">';
                echo '<img src="'.Util::baseUrl().'tmp/'.$obj->imagem.'" />';
            echo '</div>';
        echo '</div>'; 
    endif;




           



    // echo Form::button('Salvar', array('class' => 'salvar'));
    echo '<a href="imprimir.php?id='.$obj->id.'" target="_blank"  class="atualizar">Imprimir</a>';
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function() {
    var validacao = validaCampos('nome');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
